ranges::v3::view::delimit_fn Struct Reference
Inheritance diagram for ranges::v3::view::delimit_fn:

## Synopsis of methods

constexpr delimit_fn | delimit {}

## Public Member Functions

template<typename I , typename Val , requires = (InputIterator<I>())>
delimit_view< iterator_range< I, unreachable >, Val > | operator() (I begin, Val value) const
Public Member Functions inherited from ranges::v3::view::view< delimit_impl_fn >
auto | operator() (Rng &&rng, Rest &&... rest) const -> decltype(view_(static_cast< Rng && >(rng), static_cast< Rest && >(rest)...))
auto | operator() (Ts &&... ts) const -> decltype(make_view(view_access::impl< V >::bind(view_, static_cast< Ts && >(ts)...)))
| view (delimit_impl_fn a)